www.digitalmars.com         C & C++   DMDScript  

digitalmars.D - =?ISO-8859-1?Q?Re:_Descent_support_dmd2.032=a3=bf?=

reply dolive89 <dolive89 sina.com> writes:
Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:
 
 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 In addition, please provide the availability of language pack,Let's translate

in. So the latest release should support 2.032 but it's not very tested and it's probably full of bugs. :-P As for translations, you can checkout from svn and see all the .properties files. You need to translate those. But I'm curious: is Eclipse available in other languages? Is JDT available in other languages? And to port to 2.032 I'll need a lot of time... which I don't have right now.

1. Go to Windows -> Preferences. 2. Go to D -> Build Path -> User Libraries. 3. Click on "New..." 4. Select a name for the library and click "Ok". 5. Select the newly created library and select "Add directory". 6. Select the directory to be included in the library.

Both are in the dmd distribution.

haven't "druntime/include",I added following directories: D:\D\dmd2\windows\lib D:\D\dmd2\src\phobos D:\D\dmd2\src\druntime\import auto-complete still invalid

Do you have something in the error log? Specifically, clean the error log, trigger autocompletion and see if anything appears there.

after clean the error log "E:\Java\eclipse3.5-java-galileo-win32\workspace\.metadata\.log", auto-complete still invalid, after "ALT + /", Prompt box is empty, after "." , auto-complete unresponsive. I am used eclipse 3.5
Sep 04 2009
parent reply Ary Borenszweig <ary esperanto.org.ar> writes:
dolive89 wrote:
 Ary Borenszweig 写到:
 
 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 In addition, please provide the availability of language pack,Let's translate

in. So the latest release should support 2.032 but it's not very tested and it's probably full of bugs. :-P As for translations, you can checkout from svn and see all the .properties files. You need to translate those. But I'm curious: is Eclipse available in other languages? Is JDT available in other languages? And to port to 2.032 I'll need a lot of time... which I don't have right now.

1. Go to Windows -> Preferences. 2. Go to D -> Build Path -> User Libraries. 3. Click on "New..." 4. Select a name for the library and click "Ok". 5. Select the newly created library and select "Add directory". 6. Select the directory to be included in the library.

Both are in the dmd distribution.

D:\D\dmd2\windows\lib D:\D\dmd2\src\phobos D:\D\dmd2\src\druntime\import auto-complete still invalid

log, trigger autocompletion and see if anything appears there.

after clean the error log "E:\Java\eclipse3.5-java-galileo-win32\workspace\.metadata\.log", auto-complete still invalid, after "ALT + /", Prompt box is empty, after "." , auto-complete unresponsive. I am used eclipse 3.5

If you type in an empty module: Object obj; and press F3 with the cursor over "Object" or ctrl+click it, does it take you to Object's definition?
Sep 04 2009
parent reply dolive89 <dolive89 sina.com> writes:
Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:
 
 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 In addition, please provide the availability of language pack,Let's translate

in. So the latest release should support 2.032 but it's not very tested and it's probably full of bugs. :-P As for translations, you can checkout from svn and see all the .properties files. You need to translate those. But I'm curious: is Eclipse available in other languages? Is JDT available in other languages? And to port to 2.032 I'll need a lot of time... which I don't have right now.

1. Go to Windows -> Preferences. 2. Go to D -> Build Path -> User Libraries. 3. Click on "New..." 4. Select a name for the library and click "Ok". 5. Select the newly created library and select "Add directory". 6. Select the directory to be included in the library.

Both are in the dmd distribution.

D:\D\dmd2\windows\lib D:\D\dmd2\src\phobos D:\D\dmd2\src\druntime\import auto-complete still invalid

log, trigger autocompletion and see if anything appears there.

after clean the error log "E:\Java\eclipse3.5-java-galileo-win32\workspace\.metadata\.log", auto-complete still invalid, after "ALT + /", Prompt box is empty, after "." , auto-complete unresponsive. I am used eclipse 3.5

If you type in an empty module: Object obj; and press F3 with the cursor over "Object" or ctrl+click it, does it take you to Object's definition?

now is ok ! but I don't know what reasons. thank you very much ! ary and Frank !
Sep 04 2009
parent reply dolive89 <dolive89 sina.com> writes:
dolive89 写到:

 Ary Borenszweig 写到:
 
 dolive89 wrote:
 Ary Borenszweig 写到:
 
 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 In addition, please provide the availability of language pack,Let's translate

in. So the latest release should support 2.032 but it's not very tested and it's probably full of bugs. :-P As for translations, you can checkout from svn and see all the .properties files. You need to translate those. But I'm curious: is Eclipse available in other languages? Is JDT available in other languages? And to port to 2.032 I'll need a lot of time... which I don't have right now.

1. Go to Windows -> Preferences. 2. Go to D -> Build Path -> User Libraries. 3. Click on "New..." 4. Select a name for the library and click "Ok". 5. Select the newly created library and select "Add directory". 6. Select the directory to be included in the library.

Both are in the dmd distribution.

D:\D\dmd2\windows\lib D:\D\dmd2\src\phobos D:\D\dmd2\src\druntime\import auto-complete still invalid

log, trigger autocompletion and see if anything appears there.

after clean the error log "E:\Java\eclipse3.5-java-galileo-win32\workspace\.metadata\.log", auto-complete still invalid, after "ALT + /", Prompt box is empty, after "." , auto-complete unresponsive. I am used eclipse 3.5

If you type in an empty module: Object obj; and press F3 with the cursor over "Object" or ctrl+click it, does it take you to Object's definition?

now is ok ! but I don't know what reasons. thank you very much ! ary and Frank !

So then it all came out. "Build Path" must add to project,auto-complete is ok
Sep 05 2009
parent Ary Borenszweig <ary esperanto.org.ar> writes:
dolive89 escribi:
 dolive89 写到:
 
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 Ary Borenszweig 写到:

 dolive89 wrote:
 In addition, please provide the availability of language pack,Let's translate

in. So the latest release should support 2.032 but it's not very tested and it's probably full of bugs. :-P As for translations, you can checkout from svn and see all the .properties files. You need to translate those. But I'm curious: is Eclipse available in other languages? Is JDT available in other languages? And to port to 2.032 I'll need a lot of time... which I don't have right now.

1. Go to Windows -> Preferences. 2. Go to D -> Build Path -> User Libraries. 3. Click on "New..." 4. Select a name for the library and click "Ok". 5. Select the newly created library and select "Add directory". 6. Select the directory to be included in the library.

Both are in the dmd distribution.

D:\D\dmd2\windows\lib D:\D\dmd2\src\phobos D:\D\dmd2\src\druntime\import auto-complete still invalid

log, trigger autocompletion and see if anything appears there.

I am used eclipse 3.5

Object obj; and press F3 with the cursor over "Object" or ctrl+click it, does it take you to Object's definition?

thank you very much ! ary and Frank !

So then it all came out. "Build Path" must add to project,auto-complete is ok

Ah, yes. User Libraries are to group several include paths. But nevertheless you must add a library or an include path to a project's build path.
Sep 05 2009